"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
const wusergrp_service_1 = require("./wusergrp.service");
const create_wusergrp_dto_1 = require("./dto/create-wusergrp.dto");
const update_wusergrp_dto_1 = require("./dto/update-wusergrp.dto");
const jwt_auth_guard_1 = require("../jwt-auth.guard");
let WusergrpController = class WusergrpController {
    constructor(wusergrpService) {
        this.wusergrpService = wusergrpService;
    }
    create(createWusergrpDto) {
        return this.wusergrpService.create(createWusergrpDto);
    }
    findAll() {
        return this.wusergrpService.findAll();
    }
    findOne(id) {
        return this.wusergrpService.findOne(id);
    }
    update(id, updateWusergrpDto) {
        return this.wusergrpService.update(+id, updateWusergrpDto);
    }
    remove(id) {
        return this.wusergrpService.remove(+id);
    }
};
__decorate([
    common_1.Post(),
    __param(0, common_1.Body()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [create_wusergrp_dto_1.CreateWusergrpDto]),
    __metadata("design:returntype", void 0)
], WusergrpController.prototype, "create", null);
__decorate([
    common_1.Get(),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", void 0)
], WusergrpController.prototype, "findAll", null);
__decorate([
    common_1.UseGuards(new jwt_auth_guard_1.JwtAuthGuard({})),
    common_1.Get(':id'),
    __param(0, common_1.Param('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", Object)
], WusergrpController.prototype, "findOne", null);
__decorate([
    common_1.Put(':id'),
    __param(0, common_1.Param('id')), __param(1, common_1.Body()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, update_wusergrp_dto_1.UpdateWusergrpDto]),
    __metadata("design:returntype", void 0)
], WusergrpController.prototype, "update", null);
__decorate([
    common_1.Delete(':id'),
    __param(0, common_1.Param('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], WusergrpController.prototype, "remove", null);
WusergrpController = __decorate([
    common_1.Controller('wusergrp'),
    __metadata("design:paramtypes", [wusergrp_service_1.WusergrpService])
], WusergrpController);
exports.WusergrpController = WusergrpController;
