"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
const core_column_definitions_module_1 = require("./core-column-definitions/core-column-definitions.module");
const core_column_details_module_1 = require("./core-column-details/core-column-details.module");
const core_menu_roles_module_1 = require("./core-menu-roles/core-menu-roles.module");
const core_menus_module_1 = require("./core-menus/core-menus.module");
const core_model_columns_module_1 = require("./core-model-columns/core-model-columns.module");
const core_page_definitions_module_1 = require("./core-page-definitions/core-page-definitions.module");
const core_scripts_module_1 = require("./core-scripts/core-scripts.module");
const dashboard_module_1 = require("./dashboard/dashboard.module");
const auth_1 = require("../auth/");
let CoreModule = class CoreModule {
};
CoreModule = __decorate([
    common_1.Module({
        imports: [
            core_column_details_module_1.CoreColumnDetailsModule,
            core_model_columns_module_1.CoreModelColumnsModule,
            core_column_definitions_module_1.CoreColumnDefinitionsModule,
            core_menu_roles_module_1.CoreMenuRolesModule,
            core_menus_module_1.CoreMenusModule,
            core_model_columns_module_1.CoreModelColumnsModule,
            core_page_definitions_module_1.CorePageDefinitionsModule,
            core_scripts_module_1.CoreScriptsModule,
            dashboard_module_1.DashboardModule,
            auth_1.AuthModule
        ],
    })
], CoreModule);
exports.CoreModule = CoreModule;
