import { CaptureRecordIndexDto } from "../options/find-options.dto";
import { BaseService } from "../service/base.service";
export declare class BaseController<T> {
    private service;
    constructor(s: BaseService<T>);
    findAll(params: CaptureRecordIndexDto<T>): Promise<any>;
    findOne(id: number): Promise<any>;
    create(body: Partial<T>, req: any): Promise<any>;
    update(id: number, body: Partial<T>, req: any): Promise<any>;
    delete(id: number): Promise<any>;
}
