import { NestMiddleware } from "@nestjs/common";
import { Response, NextFunction } from "express";
import { UsersService } from "../../auth/users/users.service";
import { JwtService } from "@nestjs/jwt";
export declare class AuthMiddleware implements NestMiddleware {
    private readonly userService;
    private jwtService;
    constructor(userService: UsersService, jwtService: JwtService);
    use(req: any, res: Response, next: NextFunction): Promise<void>;
}
