import { HttpStatus } from "@nestjs/common";
import { CoreMenuRolesService } from "./core-menu-roles.service";
import { MenusDto } from "./dto/menus.dto";
import { CoreMenuRole } from "./entities/core-menu-role.entity";
import { BaseController } from "../../common";
import { AuthService } from "../../auth/auth.service";
export declare class CoreMenuRolesController extends BaseController<CoreMenuRole> {
    private readonly coreMenuRolesService;
    private readonly s;
    private readonly authService;
    constructor(coreMenuRolesService: CoreMenuRolesService, s: CoreMenuRolesService, authService: AuthService);
    createMenuRoles(params: MenusDto, request: any): Promise<{
        statusCode: HttpStatus;
        message: string;
        result: unknown;
    } | {
        statusCode: HttpStatus;
        message: string;
        error: any;
    }>;
}
