"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_typescript_1 = require("sequelize-typescript");
let CoreScript = class CoreScript extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.BIGINT,
        primaryKey: true,
        autoIncrement: true,
    }),
    __metadata("design:type", Number)
], CoreScript.prototype, "id", void 0);
__decorate([
    sequelize_typescript_1.Length({ max: 5 }),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
    }),
    __metadata("design:type", String)
], CoreScript.prototype, "type", void 0);
__decorate([
    sequelize_typescript_1.Length({ max: 5 }),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
    }),
    __metadata("design:type", String)
], CoreScript.prototype, "mode_type", void 0);
__decorate([
    sequelize_typescript_1.Length({ max: 3 }),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
    }),
    __metadata("design:type", String)
], CoreScript.prototype, "mode", void 0);
__decorate([
    sequelize_typescript_1.Length({ max: 6 }),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
    }),
    __metadata("design:type", String)
], CoreScript.prototype, "submode", void 0);
__decorate([
    sequelize_typescript_1.Length({ max: 100 }),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
    }),
    __metadata("design:type", String)
], CoreScript.prototype, "description", void 0);
__decorate([
    sequelize_typescript_1.Length({ max: 250 }),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
    }),
    __metadata("design:type", String)
], CoreScript.prototype, "caption", void 0);
__decorate([
    sequelize_typescript_1.Length({ max: 10000 }),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
    }),
    __metadata("design:type", String)
], CoreScript.prototype, "script", void 0);
__decorate([
    sequelize_typescript_1.Length({ max: 10000 }),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
    }),
    __metadata("design:type", String)
], CoreScript.prototype, "display_columns", void 0);
__decorate([
    sequelize_typescript_1.Length({ max: 10000 }),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
    }),
    __metadata("design:type", String)
], CoreScript.prototype, "input_parameters", void 0);
__decorate([
    sequelize_typescript_1.Length({ max: 10000 }),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
    }),
    __metadata("design:type", String)
], CoreScript.prototype, "group_by", void 0);
__decorate([
    sequelize_typescript_1.Length({ max: 10000 }),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
    }),
    __metadata("design:type", String)
], CoreScript.prototype, "summary_columns", void 0);
__decorate([
    sequelize_typescript_1.Length({ max: 1000 }),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
    }),
    __metadata("design:type", String)
], CoreScript.prototype, "serial_number_properties", void 0);
__decorate([
    sequelize_typescript_1.Length({ max: 4000 }),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
    }),
    __metadata("design:type", String)
], CoreScript.prototype, "remarks", void 0);
__decorate([
    sequelize_typescript_1.Length({ max: 1 }),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
    }),
    __metadata("design:type", String)
], CoreScript.prototype, "active", void 0);
__decorate([
    sequelize_typescript_1.Length({ max: 10000 }),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
    }),
    __metadata("design:type", String)
], CoreScript.prototype, "xml_template", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.INTEGER,
        allowNull: true,
    }),
    __metadata("design:type", Number)
], CoreScript.prototype, "serial_numbers", void 0);
__decorate([
    sequelize_typescript_1.Length({ max: 250 }),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
    }),
    __metadata("design:type", String)
], CoreScript.prototype, "rdlc_pat", void 0);
__decorate([
    sequelize_typescript_1.Length({ max: 10000 }),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
    }),
    __metadata("design:type", String)
], CoreScript.prototype, "table_styles", void 0);
__decorate([
    sequelize_typescript_1.Length({ max: 5 }),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
    }),
    __metadata("design:type", String)
], CoreScript.prototype, "firm_specific_mode", void 0);
__decorate([
    sequelize_typescript_1.Length({ max: 10 }),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
    }),
    __metadata("design:type", String)
], CoreScript.prototype, "firm_id", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.INTEGER,
        allowNull: true,
    }),
    __metadata("design:type", Number)
], CoreScript.prototype, "financial_year_id", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.INTEGER,
        allowNull: true,
    }),
    __metadata("design:type", Number)
], CoreScript.prototype, "sub_query_id", void 0);
CoreScript = __decorate([
    sequelize_typescript_1.Table({ tableName: "core_scripts", timestamps: false })
], CoreScript);
exports.CoreScript = CoreScript;
